#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Unicode
%define		pnam	String
Summary:	Unicode::String perl module
Summary(pl.UTF-8):	Moduł perla Unicode::String
Name:		perl-Unicode-String
Version:	2.09
Release:	8
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Unicode/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	553e68e603723bf7c631f8701ab0d678
URL:		http://search.cpan.org/dist/Unicode-String/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	perl-MIME-Base64 >= 2.00
BuildRequires:	rpm-perlprov >= 4.1-13
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Unicode::String Perl module - String of Unicode characters
(UCS2/UTF16).

%description -l pl.UTF-8
Moduł Perla Unicode::String - klasa ciągu unikodowych znaków
(UCS2/UTF16).

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make} \
	CC="%{__cc}" \
	OPTIMIZE="%{rpmcflags}"

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorarch}/Unicode/CharName.pm
%{perl_vendorarch}/Unicode/String.pm
%dir %{perl_vendorarch}/auto/Unicode/String
%{perl_vendorarch}/auto/Unicode/String/String.bs
%attr(755,root,root) %{perl_vendorarch}/auto/Unicode/String/String.so
%{_mandir}/man3/Unicode::CharName.3pm*
%{_mandir}/man3/Unicode::String.3pm*
%changelog
* Sat Jun 08 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/perl-Unicode-String.git;a=log;h=master

* Sat Jun 08 2013 Jan Rękorajski <baggins@pld-linux.org> dfc69b7
- rebuild with perl 5.18.0
- release 8 (by relup.sh)

* Sat Dec 03 2011 Jakub Bogusz <qboosh@pld-linux.org> ac92dcf
- gpm-friendly Source URL

* Thu Oct 06 2011 lisu <lisu@pld-linux.org> 5ac559b
- rel 7

* Fri Nov 12 2010 pawelz <pawelz@pld-linux.org> 9af3e2a
- release 6

* Sun Jun 06 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> 1b5f223
- release 5

* Sat Mar 14 2009 hawk <hawk@pld-linux.org> 5d8453d
- release 4

* Sun Feb 10 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> cd0b523
- rel 3

* Thu Jan 31 2008 Elan Ruusamäe <glen@pld-linux.org> 42551d0
- rel 2

* Thu Jan 10 2008 Elan Ruusamäe <glen@pld-linux.org> 71b3aff
- add CC to %{__make}
  grep OPTIMIZE= perl-* -l|xargs grep -c CC=|grep :0|cut -d: -f1|xargs sed -i -e '/%{__make} \\$/a\\tCC="%{__cc}" \\'

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 852800f
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 07fbb3d
- converted to UTF-8

* Mon Oct 09 2006 Jakub Bogusz <qboosh@pld-linux.org> 6339eeb
- added URL

* Mon Oct 31 2005 Paweł Cyranek <pawel.cyranek@gmail.com> d93a8dc
- updated to 2.09

* Wed Nov 03 2004 paladine <paladine@pld-linux.org> 2d00a05
- formatting

* Fri May 07 2004 ankry <ankry@pld-linux.org> 796eb63
- rel. 2

* Thu May 06 2004 ankry <ankry@pld-linux.org> a823c7d
- fixed perl-devel BR

* Mon May 03 2004 ankry <ankry@pld-linux.org> 974a328
- tests added, license fix, cosmetics

* Tue Sep 09 2003 ankry <ankry@pld-linux.org> 341a557
- spaces -> tab

* Mon Aug 18 2003 Tomasz Pala <gotar@pld-linux.org> d32ff78
- mass commit: cosmetics (removed trailing white spaces)

* Wed May 28 2003 Michal Moskal <michal@moskal.me> 7eb3827
- massive attack: source-md5

